BOINC installation failure with Mac OS 10.6 (Snow Leopard)


log in

Advanced search

Questions and Answers : Macintosh : BOINC installation failure with Mac OS 10.6 (Snow Leopard)

Author Message
Profile Dr. Clint D. Harper
Send message
Joined: 15 Nov 05
Posts: 2
Credit: 228,025
RAC: 111
United States
Message 929345 - Posted: 28 Aug 2009, 22:38:55 UTC

I've just installed Mac OS 10.6 (Snow Leopard) and the OS installer generated a dialog box telling me to re-install BOINC. Unfortunately after running the latest posted download of the BOINC installer for Mac OS (6.6.36), the application fails to run correctly and an error message states that 6.6.36 is not compatible with the new OS.

Is there a workaround for this problem? Is a new Mac version of the BOINC installer under development?

Thanks,

Clint D. Harper, Ph.D.
Moorpark College
____________

charlie61
Send message
Joined: 17 Apr 00
Posts: 2
Credit: 1,675,338
RAC: 768
United States
Message 929360 - Posted: 28 Aug 2009, 23:25:15 UTC

I also installed Mac OS 10.6 and received the dialog box about an improper permission and that I should reinstall BOINC. I successfully reinstalled 6.6.36 and it is working normally. Maybe a second (or third) attempt to reinstall will be successful for you. Note: I have not gotten the BOINC screen saver to work... a message says it is incompatible with 10.6. :-( We hope for an upgrade.

Thanks again,

Charlie Arms
____________

Chris AdamekProject donor
Volunteer tester
Send message
Joined: 15 May 99
Posts: 79
Credit: 103,810,997
RAC: 165,838
United States
Message 929371 - Posted: 29 Aug 2009, 0:26:48 UTC - in response to Message 929345.

I got the same message about permissions, but all was cleared up with a reinstall. Everything is operating correctly now it seems.
____________

ugfbill
Send message
Joined: 31 Mar 00
Posts: 11
Credit: 43,425,124
RAC: 12,017
United States
Message 929400 - Posted: 29 Aug 2009, 3:47:02 UTC - in response to Message 929371.

Same thing here in NJ. I got the permission message, I reinstalled, and all is well.

Bill from Nutley.
____________

Profile arkaynProject donor
Volunteer tester
Avatar
Send message
Joined: 14 May 99
Posts: 3636
Credit: 48,593,411
RAC: 7,957
United States
Message 929424 - Posted: 29 Aug 2009, 8:03:39 UTC

Ditto for me, reinstalled for the permission fix and running fine.

I run 6.6.29 though,
____________

Bocaboy
Send message
Joined: 4 Jan 01
Posts: 4
Credit: 178,666
RAC: 419
United States
Message 929690 - Posted: 30 Aug 2009, 14:02:51 UTC

Count me as one of those who have had BONIC fail after upgrading to Snow Leopard. I'm uninstalling it today and awaiting an announcement of a 10.6 compatible version.
____________

Wayne Beck
Send message
Joined: 27 Dec 08
Posts: 2
Credit: 5,595
RAC: 0
United States
Message 929777 - Posted: 30 Aug 2009, 19:30:10 UTC - in response to Message 929345.

I updated to Snow Leopard also and I had an older version of BOINC. When the program launched there was error message and the program failed to work. Later that day I got the newer version of BOINC 6.636 and now it's working fine on my machine. You might want to do uninstall and start over, this might work for you, it worked for me.

Wayne Beck
Send message
Joined: 27 Dec 08
Posts: 2
Credit: 5,595
RAC: 0
United States
Message 929780 - Posted: 30 Aug 2009, 19:37:29 UTC - in response to Message 929777.

The search for ET must continue DITTOs.

Jimmy Onofrio
Volunteer tester
Send message
Joined: 14 Jun 08
Posts: 5
Credit: 468,632
RAC: 0
United States
Message 929794 - Posted: 30 Aug 2009, 20:14:47 UTC

Same problem here. I installed 6.10.0 and it seems to be working fine... no problems as of yet. Hopefully we'll see a new app specifically for Snow Leopard to take advantage of Grand Central or whatever it's called...

Profile Ageless
Avatar
Send message
Joined: 9 Jun 99
Posts: 12298
Credit: 2,592,005
RAC: 877
Netherlands
Message 929810 - Posted: 30 Aug 2009, 21:21:40 UTC

Specifically for screen saver problems, but also just to be able to install and run BOINC on Snow Leopard:

Charlie Fenton, Macintosh BOINC developer wrote:
Hi Jord,

Snow Leopard has broken _all_ third-party screensavers. (Not even Apple's older screensavers work; Apple has updated them all.)

I have fixed this in BOINC 6.10.0 and 6.10.2. But of course they are still alpha releases.


6.10.0 is available from here.
6.10.2 is available from here.
____________
Jord

Fighting for the correct use of the apostrophe, together with Weird Al Yankovic

Bob Merrill
Send message
Joined: 7 Jun 99
Posts: 109
Credit: 3,258,181
RAC: 1,257
United States
Message 929916 - Posted: 31 Aug 2009, 11:34:29 UTC - in response to Message 929810.

When is Charlie going to add astro pulse to the mac client?
____________

Profile Ageless
Avatar
Send message
Joined: 9 Jun 99
Posts: 12298
Credit: 2,592,005
RAC: 877
Netherlands
Message 930114 - Posted: 1 Sep 2009, 5:34:02 UTC - in response to Message 929916.
Last modified: 1 Sep 2009, 5:35:28 UTC

He won't as he doesn't work for Seti. Charlie is a BOINC developer only. He doesn't make applications for any project. So that has to be someone else then, most likely Dotsch. Didn't you see his thread?
____________
Jord

Fighting for the correct use of the apostrophe, together with Weird Al Yankovic

Profile Tyler J. Wilson
Avatar
Send message
Joined: 4 Aug 09
Posts: 2
Credit: 47,578
RAC: 0
United States
Message 930548 - Posted: 3 Sep 2009, 2:13:56 UTC

I got it to work for me but it is barely getting any new tasks. Every time I update it it says no new tasks available. You can't tell me Arecibo is taking a break.

Buzz
Send message
Joined: 3 Sep 09
Posts: 1
Credit: 0
RAC: 0
France
Message 930595 - Posted: 3 Sep 2009, 9:07:21 UTC

It doesn't work for me with the last version of Snow Leopard...

Questions and Answers : Macintosh : BOINC installation failure with Mac OS 10.6 (Snow Leopard)

Copyright © 2014 University of California